=== debian/changelog ===
debian-reference (2.68) unstable; urgency=medium

  * Add pdf support to all but pt. Closes: #660298
  * More robust POT generation.
  * Update package dependency.

 -- Osamu Aoki <osamu@debian.org>  Sat, 06 May 2017 23:16:56 +0900

debian-reference (2.67) unstable; urgency=medium

  * Update all translations. 

 -- Osamu Aoki <osamu@debian.org>  Wed, 26 Apr 2017 23:03:21 +0900

debian-reference (2.66) unstable; urgency=medium

  * Update Italian, Spanish, and Chinese translations. 

 -- Osamu Aoki <osamu@debian.org>  Sat, 01 Apr 2017 01:59:12 +0900
