## debian-reference 2.72

=== Makefile ===
--- 
+++ 
@@ -8,18 +8,24 @@
 MANUAL	:=	debian-reference
 # languages translated with PO files
 # This can list more than debian/rules for translator to check the result
-LANGPO	:=	ja fr it pt de zh-cn zh-tw es 
+LANGPO	:=	ja fr it pt de zh-cn zh-tw es id nb
 # languages to skip generation of PDF files (not used now)
-NOPDF	:=	pt
+NOPDF	:=	
 # languages to build document
 LANGALL	=	en $(LANGPO)
 
-# Chenge at the last moment (this package is part of web page)
-#RELEASE_STATE := testing
-RELEASE_STATE := stable
-
-ifndef TMPDIR
-TMPDIR	:= $(CURDIR)/tmp
+# Change at the last moment (this package is part of web page)
+# from testing -> stable just before stable release
+
+# Update release name when setting back RELEASE_STATE
+# from stable -> testing just after stable release
+
+RELEASE_STATE := testing
+#RELEASE_STATE := stable
+
+# TMP_DIR_DR is not mean to be set to generic TMPDIR like /tmp ~/.tmp
+ifndef TMP_DIR_DR
+TMP_DIR_DR	:= $(CURDIR)/tmp
 endif
 
 # Change $(DRAFTMODE) from "yes" to "maybe" when this document 
@@ -63,9 +69,10 @@
 ARCH	:=	amd64
 UDEBA	:=	$(DEBM)/$(CODE)
 UDEBB	:=	$(DEBM)/experimental
+DR_VERSION :=	$(shell dpkg-parsechangelog --show-field Version)
 
 # cached data removed for package related to remotely fetched data
-RCACHE	:=      all-popcon-results.txt packages.txt packages.bkup.txt pkg.lst
+RCACHE	:=      all-popcon-results.txt all-popcon-submissions.txt all-popcon-pkgs.txt packages.txt packages.bkup.txt pkg.lst
 # AsciiDoc source file names in $(DASC) directories for local update
 ASC_NM	:=	00_preface.txt 01_tutorial.txt 02_package.txt \
 		03_sysinit.txt 04_auth.txt 05_network.txt 06_netapp.txt \
@@ -112,7 +119,7 @@
 # $(PUBLISHDIR) is set to be: /org/www.debian.org/www/doc/manuals for master-www
 publish:
 	-mkdir -p $(PUBLISHDIR)/$(MANUAL)
-	$(MAKE) css html txt "TMPDIR=$(PUBLISHDIR)/$(MANUAL)"
+	$(MAKE) css html txt "TMP_DIR_DR=$(PUBLISHDIR)/$(MANUAL)"
 
 #######################################################################
 # $ make clean     # clean files ready for tar 
@@ -122,7 +129,7 @@
 	-rm -f *.swp *~ *.tmp
 	-rm -f $(DPO)/*~ $(DPO)/*.mo $(DPO)/*.po.*
 	-rm -f $(DASC)/*~
-	-rm -rf $(TMPDIR) $(CURDIR)/tmp
+	-rm -rf tmp debian/tmp $(PUBLISHDIR)/$(MANUAL)
 	-rm -f $(addsuffix .xml, $(addprefix $(MANUAL)., $(LANGALL)))
 	-rm -f $(MANUAL).en.xml $(MANUAL).en.xmlt header.txt
 	-rm -f $(RCACHE)
@@ -175,20 +182,23 @@
 	# Release for package match with actual situation
 	echo "<!ENTITY build-date \"$(shell date -u +'%F %T %Z')\">"	>  common.ent
 	echo "<!ENTITY arch \"$(ARCH)\">"				>> common.ent
+	echo "<!ENTITY dr-version \"$(DR_VERSION)\">"			>> common.ent
 ifeq ($(RELEASE_STATE),stable)
+	# Aim to prepare for the upcoming stable release from sid/unstable
+	echo "<!ENTITY codename-stable  \"buster\">"			>> common.ent
+	echo "<!ENTITY Codename-stable  \"Buster\">"			>> common.ent
+	echo "<!ENTITY codename-testing  \"bullseye\">"			>> common.ent
+	echo "<!ENTITY Codename-testing  \"Bullseye\">"			>> common.ent
+	echo "<!ENTITY codename-nexttesting  \"bullseye+1\">"		>> common.ent
+	echo "<!ENTITY Codename-nexttesting  \"Bullseye+1\">"		>> common.ent
+else
+	# Live with 2 year testing release from sid/unstable
 	echo "<!ENTITY codename-stable  \"stretch\">"			>> common.ent
 	echo "<!ENTITY Codename-stable  \"Stretch\">"                   >> common.ent
-	echo "<!ENTITY codename-testing  \"buster\">"		>> common.ent
-	echo "<!ENTITY Codename-testing  \"Buster\">"		>> common.ent
+	echo "<!ENTITY codename-testing  \"buster\">"			>> common.ent
+	echo "<!ENTITY Codename-testing  \"Buster\">"			>> common.ent
 	echo "<!ENTITY codename-nexttesting  \"bullseye\">"		>> common.ent
 	echo "<!ENTITY Codename-nexttesting  \"Bullseye\">"		>> common.ent
-else
-	echo "<!ENTITY codename-stable   \"jessie\">"			>> common.ent
-	echo "<!ENTITY Codename-stable   \"Jessie\">"                  >> common.ent
-	echo "<!ENTITY codename-testing  \"stretch\">"			>> common.ent
-	echo "<!ENTITY Codename-testing  \"Stretch\">"                   >> common.ent
-	echo "<!ENTITY codename-nexttesting  \"buster\">"		>> common.ent
-	echo "<!ENTITY Codename-nexttesting  \"Buster\">"		>> common.ent
 endif
 	echo "<!ENTITY codename-unstable \"sid\">"			>> common.ent
 	echo "<!ENTITY Codename-unstable \"Sid\">"                      >> common.ent
@@ -226,12 +236,13 @@
 	sort pkg.lst | uniq | $(DBIN)/sizeent packages.txt packages.bkup.txt	> pkgsize.ent
 	# POPCON
 	wget -O - $(UPOPC) | zcat - > all-popcon-results.txt
+	sed -n -e 's/^Submissions: *\([^ ]*\) *$$/\1/p' < all-popcon-results.txt >all-popcon-submissions.txt
+	grep --binary-files=text -e '^Package: [a-z0-9][-+a-z0-9.]*[ 0-9]*$$' < all-popcon-results.txt >all-popcon-pkgs.txt
 	echo "<!ENTITY pop-date \"$(shell date -u +'%F %T %Z')\">" > datadatepop.ent
 	echo "<!ENTITY pop-submissions \"$$(sed -n -e 's/^Submissions: *\([^ ]*\) *$$/\1/p' < all-popcon-results.txt)\">"	>  popcon.ent
-	echo "<!ENTITY pop-architectures \"$$(grep -e '^Architecture:' all-popcon-results.txt | wc -l)\">"			>> popcon.ent
-	echo "<!ENTITY pop-packages \"$$(grep -e '^Package:' all-popcon-results.txt | wc -l)\">"				>> popcon.ent
-	TOTAL=$$(sed -n -e 's/^Submissions: *\([^ ]*\) *$$/\1/p' < all-popcon-results.txt) ;\
-	grep -e '^Package:' all-popcon-results.txt | grep -f pkg.lst | $(DBIN)/popconent $$TOTAL				>> popcon.ent
+	echo "<!ENTITY pop-architectures \"$$(grep --binary-files=text -e '^Architecture:' all-popcon-results.txt | wc -l)\">"	>> popcon.ent
+	echo "<!ENTITY pop-packages \"$$(grep -e '^Package:' all-popcon-pkgs.txt | wc -l)\">"				>> popcon.ent
+	grep -e '^Package:' all-popcon-pkgs.txt | grep -f pkg.lst | $(DBIN)/popconent `cat all-popcon-submissions.txt`	>> popcon.ent
 
 #######################################################################
 # $ make po        # update all PO from RAWXML
@@ -247,24 +258,3 @@
 	@$(call check-command, msgcat, gettext)
 	$(GETTEXT) -m $(MANUAL).en.xmlt | \
 sed -e 's,^"Content-Type: text/plain; charset=CHARSET\\n"$$,"Content-Type: text/plain; charset=UTF-8\\n",' |\
-	$(MSGCAT) --no-location -o $(DPO)/templates.pot.new -
-	if diff -I '^"POT-Creation-Date:' -q $(DPO)/templates.pot $(DPO)/templates.pot.new ; then \
-	  echo "Don't update templates.pot" ;\
-	  touch $(DPO)/templates.pot ;\
-	  rm -f $(DPO)/templates.pot.new ;\
-	else \
-	  echo "Update templates.pot" ;\
-	  mv -f $(DPO)/templates.pot.new $(DPO)/templates.pot ;\
-	fi
-	: > fuzzy.log
-
-# Always update
-$(DPO)/%.po: $(DPO)/templates.pot FORCE
-	@$(call check-command, msgmerge, gettext)
-	$(UPDATEPO) $(DPO)/$*.po $(DPO)/templates.pot
-	$(DBIN)/fuzzypo $(DPO)/$*.po >>fuzzy.log
-
-FORCE:
-
-#######################################################################
-# $ make wrap       # wrap all PO
