=== debian/changelog ===
debian-reference (2.72) unstable; urgency=medium

  * Merge from weblate HEAD.
  * Embed version into the document and fix *.add.
  * Unfuzzy some strings (mostly ja)

 -- Osamu Aoki <osamu@debian.org>  Sun, 11 Mar 2018 21:22:28 +0900

debian-reference (2.71) unstable; urgency=medium

  * Update package list for buster.  Closes: #889988
  * Update init description to systemd. Closes: #892492
  * Alioth -> Salsa migration.
  * Promote Git over CVS and Subversion.
  * Skip PDF for zh-cn zh-tw.

 -- Osamu Aoki <osamu@debian.org>  Sat, 10 Mar 2018 00:56:53 +0900

debian-reference (2.70) unstable; urgency=medium

  [ Boyuan Yang ]
  * Do some proofreading; convert more links to HTTPS where applicable.
  * Update texts in chapter 2; document apt(8).
  * Minor updates on zh_CN translation.

  [ Osamu Aoki ]
  * Update build script behavior.  Closes: #876441
  * Document modern atime behavior.  Closes: #885083
  * Fix broken po/*.po files.

 -- Osamu Aoki <osamu@debian.org>  Wed, 10 Jan 2018 22:52:07 +0900

debian-reference (2.69) unstable; urgency=medium

  [ Osamu Aoki ]
  * Add pdf support to all languages.
  * Fix FTBFS and add debian-openlogo.png.  Closes: #871493
  * Add reminder for cross platform ZIP.  Closes: #859212
  * Add -de, -es to debian-reference.  Closes: #874719
  * Mention apt command.  Closes: #863548
  * Update the package list for backup tools.
  * Update to drop /etc/motd.tail.  Closes: #854832
  * Add East Asian ambiguous character width.  Closes: #863546
  * Fix tutorial contents.  Closes: #854386, #854835, #854839
  * Fix broken it.po.
  * Update translations.

  [ Boyuan Yang ]
  * Document both -dbg and -dbgsym packages.
  * Convert links to www.debian.org from http to https.
  * Bump Standards-Version to 4.1.0 (no changes needed)
  * Finish Simplified Chinese translation. (credit to Faris Xiao)

 -- Osamu Aoki <osamu@debian.org>  Tue, 19 Sep 2017 00:40:07 +0900
