=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: doc
 Priority: optional
 Maintainer: Osamu Aoki <osamu@debian.org>
-Build-Depends: debhelper (>= 9.0)
+Build-Depends: debhelper (>= 11)
 Build-Depends-Indep: dblatex,
                      docbook-xml,
                      docbook-xsl,
@@ -27,9 +27,9 @@
                      w3m,
                      xsltproc,
                      zip
-Standards-Version: 3.9.8
-Vcs-Git: https://alioth.debian.org/anonscm/git/ddp/debian-reference.git
-Vcs-Browser: https://anonscm.debian.org/gitweb/?p=ddp/debian-reference.git
+Standards-Version: 4.1.3
+Vcs-Git: https://salsa.debian.org/debian/debian-reference.git
+Vcs-Browser: https://salsa.debian.org/debian/debian-reference/
 Homepage: https://www.debian.org/doc/user-manuals#quick-reference
 
 Package: debian-reference-common
@@ -49,6 +49,8 @@
 Recommends: debian-reference-fr,
             debian-reference-it,
             debian-reference-ja,
+            debian-reference-es,
+            debian-reference-de,
             debian-reference-pt,
             debian-reference-zh-cn,
             debian-reference-zh-tw
