=== debian/rules ===
--- 
+++ 
@@ -7,8 +7,9 @@
 ## ----------------------------------------------------------------------
 ## uncomment this to turn on verbose mode
 #export DH_VERBOSE=1
-## comment out to build with the cleaner log (it slows!)
-BUILDOPT:=	 --parallel
+## no-parallel to build with the cleaner log (it slows!)
+#BUILDOPT:=	 --parallel
+BUILDOPT:=	 --no-parallel
 
 ## ----------------------------------------------------------------------
 # Package building language choice
@@ -17,6 +18,9 @@
 MANUAL	:=	debian-reference
 LANGALL	:=	en ja fr it pt de zh-cn zh-tw es
 LANGPO	:=	   ja fr it pt de zh-cn zh-tw es
+# languages to skip generation of PDF files (not used now)
+NOPDF	:=	zh-cn zh-tw
+#NOPDF	:=	
 
 ## ----------------------------------------------------------------------
 ## Targets
@@ -53,7 +57,11 @@
 	  sed  -e "s/@@/$$XX/" < all.install-in  >$(MANUAL)-$${XX}.install ; \
 	  sed  -e "s/@@/$$XX/" -e "s/@LANG@/$$LANGX/" < all.doc-base-in  >$(MANUAL)-$${XX}.doc-base ; \
 	done
-	dh_auto_build $(BUILDOPT) -- "LANGALL=$(LANGALL)" "LANGPO=$(LANGPO)" all
+	dh_auto_build $(BUILDOPT) -- \
+		"LANGALL=$(LANGALL)" \
+		"LANGPO=$(LANGPO)" \
+		"NOPDF=$(NOPDF)" \
+		all
 
 
 override_dh_compress:
