## debian-reference 2.72+9.0trisquel2

=== debian/changelog ===
debian-reference (2.72+9.0trisquel2) etiona; urgency=medium

  * Remove references to non-free repos #5950

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Fri, 15 Nov 2019 20:30:48 +0000
