=== debian/rules ===
--- 
+++ 
@@ -16,7 +16,7 @@
 # (This should be updated with the maintainer approval)
 #
 MANUAL	:=	debian-reference
-LANGALL	:=	en ja fr it pt de zh-cn zh-tw es
+LANGALL	:=	en zh-cn zh-tw es
 LANGPO	:=	   ja fr it pt de zh-cn zh-tw es
 # languages to skip generation of PDF files (not used now)
 NOPDF	:=	zh-cn zh-tw
