## debian-reference 2.73

=== debian/changelog ===
debian-reference (2.73) unstable; urgency=medium

  * Adjust symlink for README.md.gz . Closes: #893479
  * Fix typo.  Closes: #897666
  * Adjust popcon graph URL to new location.
  * More robust package name substitution for versioned packages.
  * Update translations.

 -- Osamu Aoki <osamu@debian.org>  Mon, 02 Jul 2018 00:52:17 +0900
